#
# spec file for package python-confuse
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-confuse
Version:        2.0.1
Release:        1.3
Summary:        Painless YAML configuration
License:        MIT
URL:            https://github.com/beetbox/confuse
Source:         https://files.pythonhosted.org/packages/source/c/confuse/confuse-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module flit >= 2}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
BuildArch:      noarch
%python_subpackages

%description
Painless YAML configuration.

%prep
%setup -q -n confuse-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/confuse-%{version}*-info/
%{python_sitelib}/confuse/

%changelog
* Wed May  3 2023 Dirk Müller <dmueller@suse.com>
- update to 2.0.1:
  * Remove a `<4` Python version requirement bound.
* Mon Sep 26 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2.0.0:
  * Merge pull request #149 from beetbox/py3-cleanup
  * Remove all __future__ imports
  * Remove Python 2isms
  * Rename branch master -> main
  * Merge pull request #147 from beetbox/py3
  * Tolerate kwargs in mocked makedirs
  * Fix job name
  * Switch from nose to nose2
  * Try a new, simpler Actions setup
  * Drop support for Python <3.6
  * Merge pull request #144 from arroyoj/document_view_pitfall
  * Add warning to docs about using config.get() to retrieve entire config
  * Changelog & version bump for #142
  * Merge pull request #142 from arroyoj/environment_source
  * Update docs with how to set config options from environment variables
  * Add convenience Configuration method to set overlay from environment
  * Add option for environment variable values to be parsed as full YAML
  * Add configuration source that loads values from environment variables
  * Refactor ConfigView._build_namespace_dict into a utility function
* Fri Feb 11 2022 Matej Cepl <mcepl@suse.com>
- Clean up the SPEC file a little bit.
* Thu Feb 10 2022 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Create package for version 1.7.0
